> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the contract result from a contract on the network executed at a given timestamp

> Returns a single ContractResult for a contract's function executions at a specific timestamp.



## OpenAPI

````yaml /openapi.yaml get /api/v1/contracts/{contractIdOrAddress}/results/{timestamp}
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/contracts/{contractIdOrAddress}/results/{timestamp}:
    get:
      tags:
        - contracts
      summary: >-
        Get the contract result from a contract on the network executed at a
        given timestamp
      description: >-
        Returns a single ContractResult for a contract's function executions at
        a specific timestamp.
      operationId: getContractResultByIdAndTimestamp
      parameters:
        - $ref: '#/components/parameters/contractIdOrAddressPathParam'
        - $ref: '#/components/parameters/hbarQueryParam'
        - $ref: '#/components/parameters/timestampPathParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractResultDetails'
        '206':
          description: Partial Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractResultDetails'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    contractIdOrAddressPathParam:
      name: contractIdOrAddress
      in: path
      required: true
      description: >-
        The ID or hex encoded EVM address (with or without 0x prefix) associated
        with this contract.
      schema:
        pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40})$
        type: string
    hbarQueryParam:
      name: hbar
      in: query
      description: >-
        Controls the unit used for monetary fields (`amount`, `gas_price`,
        `max_fee_per_gas`, `max_priority_fee_per_gas`). When `true` (default),
        values are returned in tinybars. When `false`, values are returned in
        weibars (the native Ethereum unit, where 1 tinybar = 10,000,000,000
        weibars).
      example: false
      schema:
        type: boolean
        default: true
    timestampPathParam:
      name: timestamp
      in: path
      description: >-
        The Unix timestamp in seconds.nanoseconds format, the timestamp at which
        the associated transaction reached consensus. See
        [unixtimestamp.com](https://www.unixtimestamp.com/) for a simple way to
        convert a date to the 'seconds' part of the Unix time.
      required: true
      example: 1234567890.0000007
      schema:
        type: string
        pattern: ^\d{1,10}(\.\d{1,9})?$
  schemas:
    ContractResultDetails:
      allOf:
        - $ref: '#/components/schemas/ContractResult'
        - type: object
          properties:
            access_list:
              description: The hex encoded access_list of the wrapped ethereum transaction
              nullable: true
              type: string
              example: '0xabcd'
            address:
              description: The hex encoded evm address of contract
              example: '0x25fe26adc577cc89172e6156c9e24f7b9751b762'
              type: string
            block_gas_used:
              description: The total amount of gas used in the block
              example: 2000
              format: int64
              nullable: true
              type: integer
            block_hash:
              description: The hex encoded block (record file chain) hash
              example: '0x6ceecd8bb224da491'
              nullable: true
              type: string
            block_number:
              description: >-
                The block height calculated as the number of record files
                starting from zero since network start.
              example: 10
              format: int64
              nullable: true
              type: integer
            chain_id:
              description: The hex encoded chain_id of the wrapped ethereum transaction
              nullable: true
              type: string
              example: '0x0127'
            failed_initcode:
              description: The hex encoded initcode of a failed contract create transaction
              example: '0x856739'
              type: string
            gas_price:
              description: The hex encoded gas_price of the wrapped ethereum transaction
              nullable: true
              type: string
              example: '0x4a817c800'
            hash:
              description: The hex encoded transaction hash
              example: '0x3531396130303866616264653464'
              type: string
            logs:
              $ref: '#/components/schemas/ContractResultLogs'
            max_fee_per_gas:
              description: >-
                The hex encoded max_fee_per_gas of the wrapped ethereum
                transaction
              nullable: true
              type: string
              example: '0x5'
            max_priority_fee_per_gas:
              description: >-
                The hex encoded max_priority_fee_per_gas of the wrapped ethereum
                transaction
              nullable: true
              type: string
              example: '0x100'
            nonce:
              description: The nonce of the wrapped ethereum transaction
              nullable: true
              format: int64
              type: integer
              example: 1
            r:
              description: The hex encoded signature_r of the wrapped ethereum transaction
              nullable: true
              type: string
              example: >-
                0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043
            s:
              description: The hex encoded signature_s of the wrapped ethereum transaction
              nullable: true
              type: string
              example: >-
                0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355
            state_changes:
              $ref: '#/components/schemas/ContractResultStateChanges'
            transaction_index:
              description: The position of the transaction in the block
              nullable: true
              format: int64
              type: integer
              example: 1
            type:
              description: >-
                The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or
                2 (Post-Eip1559)
              nullable: true
              type: integer
              example: 2
            v:
              description: The recovery_id of the wrapped ethereum transaction
              nullable: true
              type: integer
              example: 1
    ContractResult:
      type: object
      properties:
        access_list:
          description: The hex encoded access_list of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0xabcd'
        address:
          description: The hex encoded evm address of contract
          example: '0x25fe26adc577cc89172e6156c9e24f7b9751b762'
          type: string
        amount:
          description: >-
            The amount sent to the function. When `hbar=true` (default), the
            value is in tinybars. When `hbar=false`, the value is in weibars.
          example: 10
          format: int64
          nullable: true
          type: integer
        block_gas_used:
          description: The total amount of gas used in the block
          example: 2000
          format: int64
          nullable: true
          type: integer
        block_hash:
          description: The hex encoded block (record file chain) hash
          example: '0x6ceecd8bb224da491'
          nullable: true
          type: string
        block_number:
          description: >-
            The block height calculated as the number of record files starting
            from zero since network start.
          example: 10
          format: int64
          nullable: true
          type: integer
        bloom:
          allOf:
            - $ref: '#/components/schemas/Bloom'
            - description: The hex encoded bloom filter of the contract result
        call_result:
          description: The hex encoded result returned by the function
          example: '0x2b048531b38d2882e86044bc972e940ee0a01938'
          nullable: true
          type: string
        chain_id:
          description: The hex encoded chain_id of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0x0127'
        contract_id:
          $ref: '#/components/schemas/EntityId'
        created_contract_ids:
          description: The list of smart contracts that were created by the function call.
          items:
            $ref: '#/components/schemas/EntityId'
          nullable: true
          type: array
        error_message:
          description: The message when an error occurs during smart contract execution
          example: Out of gas
          nullable: true
          type: string
        failed_initcode:
          description: The hex encoded initcode of a failed contract create transaction
          example: '0x856739'
          type: string
        from:
          $ref: '#/components/schemas/EvmAddressNullable'
        function_parameters:
          description: The hex encoded parameters passed to the function
          example: '0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b'
          nullable: true
          type: string
        gas_consumed:
          description: The units of consumed gas by the EVM to execute contract
          example: 35000
          format: int64
          nullable: true
          type: integer
        gas_limit:
          description: The maximum units of gas allowed for contract execution
          example: 100000
          format: int64
          type: integer
        gas_price:
          description: >-
            The hex encoded gas_price of the wrapped ethereum transaction. When
            `hbar=true` (default), the value is converted to tinybars. When
            `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x4a817c800'
        gas_used:
          description: The units of gas used to execute contract
          example: 80000
          format: int64
          nullable: true
          type: integer
        hash:
          description: >-
            A hex encoded 32 byte hash and it is only populated for Ethereum
            transaction case
          example: '0xfebbaa29c513d124a6377246ea3506ad917d740c21a88f61a1c55ba338fc2bb1'
          type: string
        max_fee_per_gas:
          description: >-
            The hex encoded max_fee_per_gas of the wrapped ethereum transaction.
            When `hbar=true` (default), the value is converted to tinybars. When
            `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x5'
        max_priority_fee_per_gas:
          description: >-
            The hex encoded max_priority_fee_per_gas of the wrapped ethereum
            transaction. When `hbar=true` (default), the value is converted to
            tinybars. When `hbar=false`, the value is in weibars.
          nullable: true
          type: string
          example: '0x100'
        nonce:
          description: The nonce of the wrapped ethereum transaction
          nullable: true
          format: int64
          type: integer
          example: 1
        r:
          description: The hex encoded signature_r of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043'
        result:
          description: The result of the transaction
          example: SUCCESS
          type: string
        s:
          description: The hex encoded signature_s of the wrapped ethereum transaction
          nullable: true
          type: string
          example: '0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355'
        status:
          description: >-
            The status of the transaction, 0x1 for a SUCCESS transaction and 0x0
            for all else
          example: 1
          type: string
        timestamp:
          $ref: '#/components/schemas/Timestamp'
        to:
          $ref: '#/components/schemas/EvmAddressNullable'
        transaction_index:
          description: The position of the transaction in the block
          nullable: true
          format: int64
          type: integer
          example: 1
        type:
          description: >-
            The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or 2
            (Post-Eip1559)
          nullable: true
          type: integer
          example: 2
        v:
          description: The recovery_id of the wrapped ethereum transaction
          nullable: true
          type: integer
          example: 1
    ContractResultLogs:
      type: array
      items:
        $ref: '#/components/schemas/ContractResultLog'
    ContractResultStateChanges:
      type: array
      items:
        $ref: '#/components/schemas/ContractResultStateChange'
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    Bloom:
      example: '0x549358c4c2e573e02410ef7b5a5ffa5f36dd7398'
      format: binary
      nullable: true
      type: string
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    EvmAddressNullable:
      type: string
      description: A network entity encoded as an EVM address in hex.
      format: binary
      minLength: 40
      maxLength: 42
      nullable: true
      pattern: ^(0x)?[A-Fa-f0-9]{40}$
      example: '0x0000000000000000000000000000000000001f41'
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
    ContractResultLog:
      type: object
      properties:
        address:
          description: The hex encoded EVM address of the contract
          example: '0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef'
          pattern: ^0x[0-9A-Fa-f]{40}$
          type: string
        bloom:
          allOf:
            - $ref: '#/components/schemas/Bloom'
            - description: The hex encoded bloom filter of the contract log
        contract_id:
          $ref: '#/components/schemas/EntityId'
        data:
          description: The hex encoded data of the contract log
          example: '0x00000000000000000000000000000000000000000000000000000000000000fa'
          nullable: true
          type: string
        index:
          description: The index of the contract log in the chain of logs for an execution
          example: 0
          type: integer
        topics:
          $ref: '#/components/schemas/ContractLogTopics'
    ContractResultStateChange:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/EvmAddress'
        contract_id:
          $ref: '#/components/schemas/EntityId'
        slot:
          description: The hex encoded storage slot changed.
          format: binary
          example: '0x00000000000000000000000000000000000000000000000000000000000000fa'
          type: string
        value_read:
          description: The hex encoded value read from the storage slot.
          example: '0x97c1fc0a6ed5551bc831571325e9bdb365d06803100dc20648640ba24ce69750'
          format: binary
          type: string
        value_written:
          description: >-
            The hex encoded value written to the slot. `null` implies no value
            written.
          example: '0x8c5be1e5ebec7d5bd14f71427d1e84f3dd0314c0f7b2291e5b200ac8c7c3b925'
          format: binary
          nullable: true
          type: string
    ContractLogTopics:
      description: A list of hex encoded topics associated with this log event
      example:
        - '0xf4757a49b326036464bec6fe419a4ae38c8a02ce3e68bf0809674f6aab8ad300'
      items:
        type: string
      type: array
    EvmAddress:
      type: string
      description: A network entity encoded as an EVM address in hex.
      format: binary
      minLength: 40
      maxLength: 42
      pattern: ^(0x)?[A-Fa-f0-9]{40}$
      example: 0000000000000000000000000000000000001f41
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds
    NotFoundError:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: Not found

````